skeyd(1)

NAME
skeyd - Smartkey server

SYNOPSIS
skeyd [-Vh] [-c config-file ]

skeysrv [ start | stop | restart | stat ]

skeymon

DESCRIPTION
skeyd Smartkey Server communicates with the Smartkey NET key to manage the Smartkey client accesses using TCP/IP protocol. The server supports the Smartkey Parallel, Smartkey 2 USB and Smartkey 3 USB models. If you use a Smartkey 2 USB you must install the Smartkey kernel driver for your Linux distribution. If you use the SmartKey Parallel or Smartkey 3 USB key you do not need to install the Smartkey kernel driver since the server works with the included user mode driver.

By default the server uses the following configuration file: /etc/skeyd.conf

skeysrv Smartkey Server wrapper manager.

skeymon Smartkey Server Statistics. Prints all the statistics of the Smartkey server: messages exchanged, current users logged, licenses used, executions available etc.

OPTIONS

-V  Print Smartkey server version number information

-h  Print options and usage information

-c config-file
    Use the alternative configuration file config-file instead of /etc/skeyd.conf.

start
    Start skeyd server

stop
    Stop skeyd server

restart
    Restart skeyd server.

stat
    Print server statistics by skeymon program.

FILES
/etc/skeyd.conf
    The Smartkey server configuration file. The file consists of parameters. The parameters are of the form

    name = value

    The file is line-based - that is, each newline-terminated line represents either a comment or a parameter.

    Parameter names are not case sensitive.

    Any line beginning with a hash ('#') character is ignored, as are lines containing only whitespace.

  PARAMETERS

    •   port - TCP/IP listening port of the Smartkey server. Set the same port in the client configuration.

        		Default: 5012
        		Example: port = 8080

    •   address - TCP/IP ip address of the Smartkey server. This allows the Smartkey server to define the network interface available for the communication. If not specified, all the network interfaces are available. It's possible to specify either the hostname or the ip address.

        		Default: none
        		Example: address = 192.168.0.1

    •   timeout - Network timeout (seconds).

        		Default: 30
        		Example: timeout = 60

    •   stat_socket - Statistics socket name.

        		Default: /var/run/skeyd.socket
        		Example: stat_socket = /tmp/skeyd.socket

    •   lpt_ports - Parallel ports address. Specify a maximum 3 address ports colon-separated.

        		Default: 0x37B:0x3BC:0x278
        		Example: lpt_ports = 0x378:0x3BC:0x278

AUTHOR
Eutron <helpdesk@eutron.com>